<template>
    <ul
        v-if="pageReady"
        class="tree-list"
    >
        <tree-branch
            v-if="treeData"
            class="item"
            :item="treeData"
            :url="url"
        />
    </ul>
</template>

<script setup>
import TreeBranch from "./tree-branch.vue";
import {onMounted, ref} from "vue";
import axios from "axios";
const props = defineProps({
    url: {
        required: true,
        type: String
    }
});
const treeData = ref(null);
const pageReady = ref(false);

onMounted(async () => {
    const data = await axios.post(props.url);
    treeData.value = data;

    pageReady.value = true;
});
</script>
